const url = require('create-url').url;

module.exports = [
    url('/login/', 'login', 'login'),
    url('/logout/', 'logout', 'logout'),
    url('/login-target/', 'loginTarget', 'loginTarget', 'POST'),
    url('/signup/', 'signup', 'signup'),
    url('/signup-target/', 'signupTarget', 'signupTarget', 'POST'),
    url('/mail-was-sent/', 'mailWasSent', 'mailWasSent'),
    url('/reset-password-mail-was-sent/', 'resetPasswordMailWasSent', 'resetPasswordMailWasSent'),
    url('/activate/:activationKey', 'activate', 'activate'),
    url('/password-forgotten', 'passwordForgotten', 'passwordForgotten'),
    url('/password-forgotten-target', 'passwordForgottenTarget', 'passwordForgottenTarget', 'POST'),
    url('/reset-password/:activationKey', 'resetPassword', 'resetPassword'),
    url('/reset-password-target', 'resetPasswordTarget', 'resetPasswordTarget', 'POST'),
]
