const config = require('../settings/config.js');
require('app-module-path').addPath(config.BASE_DIR);
require('app-module-path').addPath(config.UTILS_DIR);
require('app-module-path').addPath(config.CONTROLLERS_DIR);

const model = require('model');
const User = require('auth/models');
const log = require('log');

model.reinitialize(() => {

    log.debug('Database reinitialized');
    process.exit(0);

});
